# Signer | CICADA
Documentation for CICADA

exports

### Hierarchy

- Signer

### Implemented by

- PGPSigner

## Index

### Methods

- fingerprint
- onsign
- onverify
- prepare
- sign
- verify

## Methods

### fingerprint

- fingerprint(): string

- - Defined in src/app/_pgp/pgp-signer.ts:32

  Get the private key fingerprint.

  #### Returns string

  A private key fingerprint.

### onsign

- onsign(signature: Signature ): void

- - Defined in src/app/_pgp/pgp-signer.ts:34

  Event triggered on successful signing of message.

  #### Parameters

  - ##### signature: Signature

  #### Returns void

### onverify

- onverify(flag: boolean): void

- - Defined in src/app/_pgp/pgp-signer.ts:36

  Event triggered on successful verification of a signature.

  #### Parameters

  - ##### flag: boolean

  #### Returns void

### prepare

- prepare(material: Signable ): boolean

- - Defined in src/app/_pgp/pgp-signer.ts:42

  Load the message digest.

  #### Parameters

  - ##### material: Signable

    A signable object.

  #### Returns boolean

  true - If digest has been loaded successfully.

### sign

- sign(digest: string): Promise<void>

- - Defined in src/app/_pgp/pgp-signer.ts:48

  Signs a message using a private key.

  async

  #### Parameters

  - ##### digest: string

    The message to be signed.

  #### Returns Promise<void>

### verify

- verify(digest: string, signature: Signature ): void

- - Defined in src/app/_pgp/pgp-signer.ts:54

  Verify that signature is valid.

  #### Parameters

  - ##### digest: string

    The message that was signed.

  - ##### signature: Signature

    The generated signature.

  #### Returns void

Generated using TypeDoc